Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Class DataObjectExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.openide.loaders.DataObjectExistsException

All Implemented Interfaces:
  Serializable

    public class DataObjectExistsException

extends IOException

Exception signalling that the data object for this file cannot be created because there already is an object for the primary file.

See Also:
  Serialized Form

Constructor Summary
`DataObjectExistsException(DataObject obj)` Create new exception.

Method Summary
`Throwable` | `fillInStackTrace()` Performance trick
`DataObject` | `getDataObject()` Get the object which already exists.

Methods inherited from class java.lang.Throwable
`getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataObjectExistsException

    public DataObjectExistsException(DataObject obj)

  Create new exception.

  Parameters:
    `obj` - data object which already exists

Method Detail

### getDataObject

    public DataObject getDataObject()

  Get the object which already exists.

  Returns:
    the data object

### fillInStackTrace

    public Throwable fillInStackTrace()

  Performance trick

  Overrides:
    `fillInStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.